Subject: Re: [bug#37701] [PATCH] gnu: Add playerctl.
From: Ludovic Courtès <[email-masked]>
To: "David Wilson" <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Oct 2019 23:58:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi David,

"David Wilson" <[email-masked]> skribis:

> This patch adds the 'playerctl' command line utility for controlling media players that support MPRIS.  As this is my first attempt at packaging software for Guix, please let me know if anything can be improved.  I've run through most of the steps in the packaging checklist of the manual so I feel pretty confident that it's in good shape.
>
> Also, this is my first contribution to a GNU project (!!) so please advise if I need to follow any "new contributor" protocol.

Looks like you followed the protocol perfectly well!  :-)

> From 536c7d321ca310762940205358ce26a7141c8e9c Mon Sep 17 00:00:00 2001
> From: David Wilson <[email-masked]>
> Date: Thu, 10 Oct 2019 22:06:43 -0700
> Subject: [PATCH] gnu: Add playerctl.
>
> * gnu/packages/music.scm (playerctl): New variable.

Applied with the minor changes below: the ‘file-name’ issue was reported
by ‘guix lint’, and the license is LGPLv3-or-later because source file
headers carry the “or any later version” wording.

Thank you!

Ludo’.

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index dcda71a43d..a051caca2b 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -4633,6 +4633,7 @@ easier to perform.  Features include:
               (uri (git-reference
                     (url "https://github.com/altdesktop/playerctl.git")
                     (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
               (sha256
                (base32
                 "1f3njnpd52djx3dmhh9a8p5a67f0jmr1gbk98icflr2q91149gjz"))))
@@ -4643,7 +4644,7 @@ easier to perform.  Features include:
     (native-inputs
      `(("glib:bin" ,glib "bin")
        ("pkg-config" ,pkg-config)))
-    (synopsis "Controls MPRIS-supporting media player applications")
+    (synopsis "Control MPRIS-supporting media player applications")
     (description
      "Playerctl is a command-line utility and library for controlling media
 players that implement the MPRIS D-Bus Interface Specification.  Playerctl
@@ -4651,4 +4652,4 @@ makes it easy to bind player actions, such as play and pause, to media keys.
 You can also get metadata about the playing track such as the artist and title
 for integration into status line generators or other command-line tools.")
     (home-page "https://github.com/altdesktop/playerctl")
-    (license license:lgpl3)))
+    (license license:lgpl3+)))